Loading...
Searching...
No Matches
elastix::CoreMainGTestUtilities::ImageDomain< VDimension > Struct Template Reference

`#include <elxCoreMainGTestUtilities.h>`

## Detailed Description

template<unsigned int VDimension>
struct elastix::CoreMainGTestUtilities::ImageDomain< VDimension >

Definition at line 290 of file elxCoreMainGTestUtilities.h.

## Public Types

using | DirectionType = typename ImageBaseType::DirectionType
using | ImageBaseType = itk::ImageBase<VDimension>
using | IndexType = typename ImageBaseType::IndexType
using | PointType = typename ImageBaseType::PointType
using | SizeType = typename ImageBaseType::SizeType
using | SpacingType = typename ImageBaseType::SpacingType

## Public Member Functions

ParameterObject::ParameterMapType | AsParameterMap () const
| ImageDomain ()=default
| ImageDomain (const DirectionType &initialDirection, const IndexType &initialIndex, const SizeType &initialSize, const SpacingType &initialSpacing, const PointType &initialOrigin)
| ImageDomain (const ImageBaseType &image)
| ImageDomain (const SizeType &initialSize)
void | ToImage (itk::ImageBase< VDimension > &image) const

## Data Fields

DirectionType | direction { DirectionType::GetIdentity() }
IndexType | index {}
PointType | origin {}
SizeType | size {}
SpacingType | spacing { itk::MakeFilled<SpacingType>(1.0) }

## Friends

bool | operator!= (const ImageDomain &lhs, const ImageDomain &rhs)
bool | operator== (const ImageDomain &lhs, const ImageDomain &rhs)

## Member Typedef Documentation

## DirectionType

template<unsigned int VDimension>

using elastix::CoreMainGTestUtilities::ImageDomain< VDimension >::DirectionType = typename ImageBaseType::DirectionType

Definition at line 294 of file elxCoreMainGTestUtilities.h.

## ImageBaseType

template<unsigned int VDimension>

using elastix::CoreMainGTestUtilities::ImageDomain< VDimension >::ImageBaseType = itk::ImageBase<VDimension>

Definition at line 292 of file elxCoreMainGTestUtilities.h.

## IndexType

template<unsigned int VDimension>

using elastix::CoreMainGTestUtilities::ImageDomain< VDimension >::IndexType = typename ImageBaseType::IndexType

Definition at line 295 of file elxCoreMainGTestUtilities.h.

## PointType

template<unsigned int VDimension>

using elastix::CoreMainGTestUtilities::ImageDomain< VDimension >::PointType = typename ImageBaseType::PointType

Definition at line 298 of file elxCoreMainGTestUtilities.h.

## SizeType

template<unsigned int VDimension>

using elastix::CoreMainGTestUtilities::ImageDomain< VDimension >::SizeType = typename ImageBaseType::SizeType

Definition at line 296 of file elxCoreMainGTestUtilities.h.

## SpacingType

template<unsigned int VDimension>

using elastix::CoreMainGTestUtilities::ImageDomain< VDimension >::SpacingType = typename ImageBaseType::SpacingType

Definition at line 297 of file elxCoreMainGTestUtilities.h.

## Constructor & Destructor Documentation

## ImageDomain() [1/4]

template<unsigned int VDimension>

elastix::CoreMainGTestUtilities::ImageDomain< VDimension >::ImageDomain | ( |  | ) |

default

## ImageDomain() [2/4]

template<unsigned int VDimension>

elastix::CoreMainGTestUtilities::ImageDomain< VDimension >::ImageDomain | ( | const SizeType & | initialSize | ) |

inline explicit

Definition at line 310 of file elxCoreMainGTestUtilities.h.

## ImageDomain() [3/4]

template<unsigned int VDimension>

elastix::CoreMainGTestUtilities::ImageDomain< VDimension >::ImageDomain | ( | const ImageBaseType & | image | ) |

inline explicit

Definition at line 314 of file elxCoreMainGTestUtilities.h.

## ImageDomain() [4/4]

template<unsigned int VDimension>

elastix::CoreMainGTestUtilities::ImageDomain< VDimension >::ImageDomain | ( | const DirectionType & | initialDirection,
|  | const IndexType & | initialIndex,
|  | const SizeType & | initialSize,
|  | const SpacingType & | initialSpacing,
|  | const PointType & | initialOrigin )

inline

Definition at line 323 of file elxCoreMainGTestUtilities.h.

## Member Function Documentation

## AsParameterMap()

template<unsigned int VDimension>

ParameterObject::ParameterMapType elastix::CoreMainGTestUtilities::ImageDomain< VDimension >::AsParameterMap | ( |  | ) | const

inline

Definition at line 347 of file elxCoreMainGTestUtilities.h.

## ToImage()

template<unsigned int VDimension>

void elastix::CoreMainGTestUtilities::ImageDomain< VDimension >::ToImage | ( | itk::ImageBase< VDimension > & | image | ) | const

inline

Definition at line 337 of file elxCoreMainGTestUtilities.h.

## Friends And Related Symbol Documentation

## operator!=

template<unsigned int VDimension>

bool operator!= | ( | const ImageDomain< VDimension > & | lhs,
|  | const ImageDomain< VDimension > & | rhs )

friend

Definition at line 367 of file elxCoreMainGTestUtilities.h.

## operator==

template<unsigned int VDimension>

bool operator== | ( | const ImageDomain< VDimension > & | lhs,
|  | const ImageDomain< VDimension > & | rhs )

friend

Definition at line 360 of file elxCoreMainGTestUtilities.h.

## Field Documentation

## direction

template<unsigned int VDimension>

DirectionType elastix::CoreMainGTestUtilities::ImageDomain< VDimension >::direction { DirectionType::GetIdentity() }

Definition at line 300 of file elxCoreMainGTestUtilities.h.

## index

template<unsigned int VDimension>

IndexType elastix::CoreMainGTestUtilities::ImageDomain< VDimension >::index {}

Definition at line 301 of file elxCoreMainGTestUtilities.h.

## origin

template<unsigned int VDimension>

PointType elastix::CoreMainGTestUtilities::ImageDomain< VDimension >::origin {}

Definition at line 304 of file elxCoreMainGTestUtilities.h.

## size

template<unsigned int VDimension>

SizeType elastix::CoreMainGTestUtilities::ImageDomain< VDimension >::size {}

Definition at line 302 of file elxCoreMainGTestUtilities.h.

## spacing

template<unsigned int VDimension>

SpacingType elastix::CoreMainGTestUtilities::ImageDomain< VDimension >::spacing { itk::MakeFilled<SpacingType>(1.0) }

Definition at line 303 of file elxCoreMainGTestUtilities.h.

Generated on 1768596610 for elastix by 1.15.0 |